package com.xhpc.evcs.dto;

import com.fasterxml.jackson.annotation.*;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author HongYun on 2021/11/2
 */
@JsonPropertyOrder({
        "StartChargeSeq",
        "ConnectorID",
        "ConfirmResult"
})
public class ChargeOrderInfoResponse {

    @JsonProperty("StartChargeSeq")
    private String startChargeSeq;

    @JsonProperty("ConnectorID")
    private String connectorID;

    @JsonProperty("ConfirmResult")
    private Integer confirmResult;

    @JsonProperty("ConfirmResultMessage")
    private String confirmResultMessage;


    @JsonProperty("StartChargeSeq")
    public String getStartChargeSeq() {

        return startChargeSeq;
    }

    @JsonProperty("StartChargeSeq")
    public void setStartChargeSeq(String startChargeSeq) {

        this.startChargeSeq = startChargeSeq;
    }

    @JsonProperty("ConnectorID")
    public String getConnectorID() {

        return connectorID;
    }

    @JsonProperty("ConnectorID")
    public void setConnectorID(String connectorID) {

        this.connectorID = connectorID;
    }

    @JsonProperty("ConfirmResult")
    public Integer getConfirmResult() {

        return confirmResult;
    }

    @JsonProperty("ConfirmResult")
    public void setConfirmResult(Integer confirmResult) {

        this.confirmResult = confirmResult;
    }


    @JsonProperty("ConfirmResultMessage")
    public String getConfirmResultMessage() {
        return confirmResultMessage;
    }

    @JsonProperty("ConfirmResultMessage")
    public void setConfirmResultMessage(String confirmResultMessage) {
        this.confirmResultMessage = confirmResultMessage;
    }

    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }


    @Override
    public String toString() {
        return "ChargeOrderInfoResponse{" +
                "startChargeSeq='" + startChargeSeq + '\'' +
                ", connectorID='" + connectorID + '\'' +
                ", confirmResult=" + confirmResult +
                ", confirmResultMessage='" + confirmResultMessage + '\'' +
                ", additionalProperties=" + additionalProperties +
                '}';
    }
}
